=== debian/control ===
Source: ros-ros-comm
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Section: libs
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-ros (>= 0.14.1~),
 dh-sequence-python3,
 dpkg-dev (>= 1.22.5),
 catkin (>= 0.8.10-1~),
 libb64-dev,
 libboost-chrono-dev,
 libboost-date-time-dev,
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-regex-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libbz2-dev,
 libconsole-bridge-dev,
 libgpgme-dev,
 libgtest-dev,
 liblog4cxx-dev,
 liblz4-dev,
 libpython3-all-dev,
 libros-rosgraph-msgs-dev,
 librosconsole-dev,
 libroscpp-core-dev,
 libssl-dev,
 libstd-msgs-dev,
 libstd-srvs-dev,
 pluginlib-dev,
 python3-all-dev:any,
 python3-defusedxml <!nocheck>,
 python3-empy,
 python3-gnupg <!nocheck>,
 python3-netifaces <!nocheck>,
 python3-pycryptodome <!nocheck>,
 python3-rosclean <!nocheck>,
 python3-rosgraph-msgs <!nocheck>,
 python3-roslib <!nocheck>,
 python3-rosunit <!nocheck>,
 python3-std-srvs <!nocheck>,
 ros-message-generation,
 rosbuild <!nocheck>,
 roslang <!nocheck>,
 rospack-tools <!nocheck>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/ros-ros-comm
Vcs-Git: https://salsa.debian.org/science-team/ros-ros-comm.git
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/ros_comm

###########
# Clients #
###########

Package: libroscpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-filesystem-dev,
 libboost-system-dev,
 libros-rosgraph-msgs-dev,
 librosconsole-dev,
 libroscpp-msg-dev,
 libroscpp4t64 (= ${binary:Version}),
 libxmlrpcpp-dev,
 ${misc:Depends},
Description: Robot OS development files for libroscpp
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the development files for the library.

Package: cl-roscpp-msg
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Header for roscpp messages, LISP
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the generated LISP library.

Package: cl-topic-tools
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: LISP library for working with Robot OS topics
 This package is part of Robot OS (ROS). It contains the lisp
 interface to the tools for directing, throttling, selecting, and
 otherwise messing with ROS topics at a meta level.

Package: libmessage-filters-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-thread-dev,
 libmessage-filters1t64 (= ${binary:Version}),
 libroscpp-dev,
 ${misc:Depends},
Description: Development files for Robot OS message-filters
 This package is part of Robot OS (ROS). It contains the development
 files for libmessage-filters, which implements a set of message
 filters which take in messages and may output those messages at a
 later time, based on the conditions that filter needs being met.

Package: libmessage-filters1t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libmessage-filters1d
Replaces:
 libmessage-filters1d,
Breaks:
 libmessage-filters1d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Library for Robot OS message-filters
 This package is part of Robot OS (ROS). It implemtants a set of
 message filters which take in messages and may output those messages
 at a later time, based on the conditions that filter needs met.
 .
 This package contains the library.

Package: librosbag-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 librosbag-storage-dev,
 librosbag4t64 (= ${binary:Version}),
 librosconsole-dev,
 libroscpp-dev,
 libstd-srvs-dev,
 libtopic-tools-dev,
 libxmlrpcpp-dev,
 ${misc:Depends},
Description: Tools for recording from and playing back to Robot OS topics
 This package is part of Robot OS (ROS). It is the development files
 for the rosbag library, which provides APIs for reading/writing bags
 (ROS message stores) in C++ and Python.

Package: librosbag-storage-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-date-time-dev,
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-regex-dev,
 libbz2-dev,
 libconsole-bridge-dev,
 libgpgme-dev,
 librosbag-storage4t64 (= ${binary:Version}),
 libroslz4-dev,
 pluginlib-dev,
 ${misc:Depends},
Description: Development files for librosbag_storage
 This package is part of Robot OS (ROS). It is a set of tools for
 recording from and playing back ROS messages without relying on the
 ROS client library.
 .
 This package contains the development files for the library.

#########
# Tools #
#########

Package: librosbag-storage4t64
Provides:
 ${t64:Provides},
X-Time64-Compat: librosbag-storage4d
Replaces:
 librosbag-storage4d,
Breaks:
 librosbag-storage4d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS library for rosbag_storage
 This package is part of Robot OS (ROS). It is a set of tools for
 recording from and playing back ROS messages without relying on the
 ROS client library.
 .
 This package contains the library.

Package: librosbag4t64
Provides:
 ${t64:Provides},
X-Time64-Compat: librosbag4d
Replaces:
 librosbag4d,
Breaks:
 librosbag4d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Library for recording from and playing back to Robot OS topics
 This package is part of Robot OS (ROS). It is the rosbag library,
 which provides APIs for reading/writing bags (ROS message stores) in
 C++ and Python. It is intended to be high performance and avoids
 deserialization and reserialization of the messages.
 .
 The related rosbag package provides a command-line tool for working
 with bags.

Package: libroscpp-msg-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libroscpp-core-dev,
 ${misc:Depends},
Description: Robot OS header for roscpp messages
 This package is part of Robot OS (ROS). roscpp is a C++ implementation of ROS.
 It provides a client library that enables C++ programmers to quickly interface
 with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the generated C++ headers.

Package: libroscpp4t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libroscpp4d
Replaces:
 libroscpp4d,
Breaks:
 libroscpp4d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS client library
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the library.

Package: libroslz4-1t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libroslz4-1d
Replaces:
 libroslz4-1d,
Breaks:
 libroslz4-1d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library implementing lz4 for Robot OS
 This package is part of Robot OS (ROS). This is the C++
 implementation of the LZ4 streaming format. Large data streams are
 split into blocks which are compressed using the very fast LZ4
 compression algorithm.
 .
 This package contains the library.

Package: libroslz4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 liblz4-dev,
 libroscpp-core-dev,
 libroslz4-1t64 (= ${binary:Version}),
 ${misc:Depends},
Description: development files for libroslz4
 This package is part of Robot OS (ROS). It contains the development
 files for the ROS implementation of the LZ4 streaming format. Large
 data streams are split into blocks which are compressed using the
 very fast LZ4 compression algorithm.

Package: librostest-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-system-dev,
 libboost-thread-dev,
 ${misc:Depends},
Description: Development files for rostest (Robot OS)
 This package is part of Robot OS (ROS). It contains the development
 files for the rostest framework. It's an extension that enables
 roslaunch files to be used as test fixtures. As a fully running
 system has more complex behaviors than an individual ROS node,
 this allows you to do full integration testing across multiple
 nodes. It is compatible with xUnit frameworks.

Package: libtopic-tools-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 librosconsole-dev,
 libroscpp-core-dev,
 libroscpp-dev,
 libstd-msgs-dev,
 libtopic-tools2t64 (= ${binary:Version}),
 ${misc:Depends},
Description: development files for libtopic-tools (Robot OS)
 This package is part of Robot OS (ROS). It contains development files
 for the libtopic-tools library, which provides tools for directing,
 throttling, selecting, and otherwise messing with ROS topics at a
 meta level.
 .
 This contains the development files

Package: libtopic-tools2t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libtopic-tools2d
Replaces:
 libtopic-tools2d,
Breaks:
 libtopic-tools2d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library for messing with Robot OS topics
 This package is part of Robot OS (ROS). Tools for directing,
 throttling, selecting, and otherwise messing with ROS topics at a
 meta level. None of the programs in this package actually know about
 the topics whose streams they are altering; instead, these tools deal
 with messages as generic binary blobs. This means they can be applied
 to any ROS topic.
 .
 This package contains the library.

Package: libxmlrpcpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libb64-dev,
 libroscpp-core-dev,
 libxmlrpcpp3t64 (= ${binary:Version}),
 ${misc:Depends},
Description: development files for Robot OS libxmlrpcpp
 This package is part of Robot OS (ROS). It contains the development
 files for the XmlRpc++ library, which is a C++ implementation of the XML-RPC
 protocol. This version is heavily modified from the package available
 on SourceForge in order to support roscpp's threading model. As such,
 it's a maintained fork by OSRF.

Package: libxmlrpcpp3t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libxmlrpcpp3d
Replaces:
 libxmlrpcpp3d,
Breaks:
 libxmlrpcpp3d (<< ${source:Version}),
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS version of xml-rpc protocol library
 This package is part of Robot OS (ROS). It contains the XmlRpc++
 library, which is a C++ implementation of the XML-RPC protocol. This
 version is heavily modified from the package available on SourceForge
 in order to support roscpp's threading model. As such, it's a
 maintained fork by OSRF.

Package: python3-message-filters
Section: python
Architecture: all
Multi-Arch: allowed
Depends:
 python3-rospy,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 library for Robot OS message-filters
