=== debian/tests/control ===
Test-Command: ./debian/tests/compilation roscpp ros/ros.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libroscpp-dev,
 make,
Features:
 test-name=libroscpp-dev,

Test-Command: ./debian/tests/compilation rosbag rosbag/player.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 librosbag-dev,
 make,
Features:
 test-name=librosbag-dev,

Test-Command: ./debian/tests/compilation rosbag_storage rosbag/bag.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 librosbag-storage-dev,
 make,
Features:
 test-name=librosbag-storage-dev,

Test-Command: ./debian/tests/compilation rostest rostest/permuter.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 librostest-dev,
 make,
Features:
 test-name=librostest-dev,

Test-Command: ./debian/tests/compilation topic_tools topic_tools/parse.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libtopic-tools-dev,
 make,
Features:
 test-name=libtopic-tools-dev,

Test-Command: ./debian/tests/compilation message_filters message_filters/subscriber.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libmessage-filters-dev,
 make,
Features:
 test-name=libmessage-filters-dev,

Test-Command: ./debian/tests/compilation roslz4 roslz4/lz4s.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libroslz4-dev,
 make,
Features:
 test-name=libroslz4-dev,

Test-Command: ./debian/tests/compilation xmlrpcpp xmlrpcpp/XmlRpc.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libxmlrpcpp-dev,
 make,
Features:
 test-name=libxmlrpcpp-dev,

Test-Command: python3 -c "import roscpp.msg"
Restrictions:
 allow-stderr,
Depends:
 python3-roscpp-msg,
Features:
 test-name=python3-roscpp-msg,

Test-Command: python3 -c "import rospy"
Restrictions:
 allow-stderr,
Depends:
 python3-rospy,
Features:
 test-name=python3-rospy,

Test-Command: python3 -c "import rosbag"
Restrictions:
 allow-stderr,
Depends:
 python3-rosbag,
Features:
 test-name=python3-rosbag,

Test-Command: python3 -c "import rosgraph"
Restrictions:
 allow-stderr,
Depends:
 python3-rosgraph,
Features:
 test-name=python3-rosgraph,

Test-Command: python3 -c "import roslaunch"
Restrictions:
 allow-stderr,
Depends:
 python3-roslaunch,
Features:
 test-name=python3-roslaunch,

Test-Command: python3 -c "import rosmaster"
Restrictions:
 allow-stderr,
Depends:
 python3-rosmaster,
Features:
 test-name=python3-rosmaster,

Test-Command: python3 -c "import rosmsg"
Restrictions:
 allow-stderr,
Depends:
 python3-rosmsg,
Features:
 test-name=python3-rosmsg,

Test-Command: python3 -c "import rosnode"
Restrictions:
 allow-stderr,
Depends:
 python3-rosnode,
Features:
 test-name=python3-rosnode,

Test-Command: python3 -c "import rosparam"
Restrictions:
 allow-stderr,
Depends:
 python3-rosparam,
Features:
 test-name=python3-rosparam,

Test-Command: python3 -c "import rosservice"
Restrictions:
 allow-stderr,
Depends:
 python3-rosservice,
Features:
 test-name=python3-rosservice,

Test-Command: python3 -c "import rostest"
Restrictions:
 allow-stderr,
Depends:
 python3-rostest,
