=== debian/watch ===
Version: 5

Template: Github
Owner: ros
Project: ros_comm
Dversion-Mangle: auto
Repack-Suffix: +ds
Repack: yes
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@STABLE_VERSION@
